//Szorgalmi HF:
//Írja ki a végén azt is, hogy van-e minden kerületben k Ft-nál olcsóbb lakás (k bemenő paraméter).
//          megoldás: az összegzés tétellel (lásd táblás gyakorlat)
//Kivétel kezelés main.cpp-ben (megnyitási hibák elkapása).
//Hibás rekord esetén jelezze, írja ki a hibás sort, és olvasson tovább, amíg hibátlan rekordot/fájl végét nem talál.
//Üres fájlt kezelje (jelezze, majd álljon le).
//
//Órai feladat:
//Kerületenként az átlagos négyzetméter ár megjelenítése képernyõn és output fájlban.
//Írjuk ki, hogy melyik kerületben a legmagasabbak a négyzetméter árak.

#include <iostream>
#include "common.h"
#include "felsorolo.h"
#include "outfile.h"

using namespace std;

int main()
{
    cout << "Egyedi felsorolo" << endl;
    string ifname,ofname;
    cout<<"Add meg a lakas adatbazis nevet:"; cin>>ifname;
    cout<<"Add meg a kimeneti fajl nevet:"; cin>>ofname;
    keruletEnumerator t(ifname);
    //keruletEnumerator t;
    OutFile out(ofname);
    kerulet maxker;
    cout.precision(0); cout<<fixed;
    t.First();
    maxker=t.Current();
    cout<<"kerulet: "<<maxker.ker<<" "<<"atlagos nm. ar: "<<maxker.atl<<endl;
    out.write(maxker);
    t.Next();
    for(;!t.End();t.Next())
    {
        kerulet e;
        e=t.Current();
        if(e.atl>maxker.atl)
        {
            maxker=e;
        }
        cout<<"kerulet: "<<e.ker<<" "<<"atlagos nm. ar: "<<e.atl<<endl;
        out.write(e);

    }
    cout<<"\nLegdragabb az atlagos negyzetmeter ar a/az "<<maxker.ker<<". keruletben: "<<maxker.atl<<endl;

    return 0;
}
