#include "infile.h"
#include <iostream>
#include <cstdlib>
#include <sstream>

using namespace std;

InFile::InFile(string fname)
{
    if ( fname.size()<1 ) {
        cout << "Add meg a input fajl nevet:" ;
        cin>>fname;
    }
    f.open(fname.c_str());
    if ( f.fail() ) {
        cout<< "Nincs input fajl" <<endl;
        throw OPENERROR;
    }
}

bool InFile::read(lakas &dx, Status &sx)
{
    string sor,szo;
    getline(f,sor,'\n');
    if (!f.fail() && sor!="") {
        sx=norm;
        istringstream in(sor);
        in>>dx.id;
        dx.tulajdonos="";
        while(in>>szo && !isdigit(szo[0]))
        {
            if(dx.tulajdonos!="") dx.tulajdonos+=" ";
            dx.tulajdonos+=szo;
        }
        dx.ar=atoi(szo.c_str());
        in>>dx.ter;
        in>>dx.ker;
        if(in.fail())
        {
            throw DATAERROR;
        }
        //cout<<dx.tulajdonos<<endl;
    } else sx=abnorm;

    return sx==norm;
}
